Index: terepaima-0.4.16/moc/moc_searchmodel.cpp
===================================================================
--- terepaima-0.4.16/moc/moc_searchmodel.cpp	(revision 1f4adec359c5217a01caac08e395b35ebeb3792d)
+++ terepaima-0.4.16/moc/moc_searchmodel.cpp	(revision 3d9584517ff74faaa29038acf42374227f030fe2)
@@ -2,5 +2,5 @@
 ** Meta object code from reading C++ file 'searchmodel.h'
 **
-** Created by: The Qt Meta Object Compiler version 63 (Qt 4.8.6)
+** Created by: The Qt Meta Object Compiler version 67 (Qt 5.3.2)
 **
 ** WARNING! All changes made in this file will be lost!
@@ -8,8 +8,10 @@
 
 #include "../sources/searchmodel.h"
+#include <QtCore/qbytearray.h>
+#include <QtCore/qmetatype.h>
 #if !defined(Q_MOC_OUTPUT_REVISION)
 #error "The header file 'searchmodel.h' doesn't include <QObject>."
-#elif Q_MOC_OUTPUT_REVISION != 63
-#error "This file was generated using the moc from 4.8.6. It"
+#elif Q_MOC_OUTPUT_REVISION != 67
+#error "This file was generated using the moc from 5.3.2. It"
 #error "cannot be used with the include files from this version of Qt."
 #error "(The moc has changed too much.)"
@@ -17,8 +19,28 @@
 
 QT_BEGIN_MOC_NAMESPACE
+struct qt_meta_stringdata_qpdfview__SearchModel_t {
+    QByteArrayData data[3];
+    char stringdata[56];
+};
+#define QT_MOC_LITERAL(idx, ofs, len) \
+    Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
+    qptrdiff(offsetof(qt_meta_stringdata_qpdfview__SearchModel_t, stringdata) + ofs \
+        - idx * sizeof(QByteArrayData)) \
+    )
+static const qt_meta_stringdata_qpdfview__SearchModel_t qt_meta_stringdata_qpdfview__SearchModel = {
+    {
+QT_MOC_LITERAL(0, 0, 21),
+QT_MOC_LITERAL(1, 22, 32),
+QT_MOC_LITERAL(2, 55, 0)
+    },
+    "qpdfview::SearchModel\0"
+    "on_fetchSurroundingText_finished\0"
+};
+#undef QT_MOC_LITERAL
+
 static const uint qt_meta_data_qpdfview__SearchModel[] = {
 
  // content:
-       6,       // revision
+       7,       // revision
        0,       // classname
        0,    0, // classinfo
@@ -30,13 +52,11 @@
        0,       // signalCount
 
- // slots: signature, parameters, type, tag, flags
-      23,   22,   22,   22, 0x09,
+ // slots: name, argc, parameters, tag, flags
+       1,    0,   19,    2, 0x09 /* Protected */,
+
+ // slots: parameters
+    QMetaType::Void,
 
        0        // eod
-};
-
-static const char qt_meta_stringdata_qpdfview__SearchModel[] = {
-    "qpdfview::SearchModel\0\0"
-    "on_fetchSurroundingText_finished()\0"
 };
 
@@ -44,5 +64,4 @@
 {
     if (_c == QMetaObject::InvokeMetaMethod) {
-        Q_ASSERT(staticMetaObject.cast(_o));
         SearchModel *_t = static_cast<SearchModel *>(_o);
         switch (_id) {
@@ -54,20 +73,13 @@
 }
 
-const QMetaObjectExtraData qpdfview::SearchModel::staticMetaObjectExtraData = {
-    0,  qt_static_metacall 
+const QMetaObject qpdfview::SearchModel::staticMetaObject = {
+    { &QAbstractItemModel::staticMetaObject, qt_meta_stringdata_qpdfview__SearchModel.data,
+      qt_meta_data_qpdfview__SearchModel,  qt_static_metacall, 0, 0}
 };
 
-const QMetaObject qpdfview::SearchModel::staticMetaObject = {
-    { &QAbstractItemModel::staticMetaObject, qt_meta_stringdata_qpdfview__SearchModel,
-      qt_meta_data_qpdfview__SearchModel, &staticMetaObjectExtraData }
-};
-
-#ifdef Q_NO_DATA_RELOCATION
-const QMetaObject &qpdfview::SearchModel::getStaticMetaObject() { return staticMetaObject; }
-#endif //Q_NO_DATA_RELOCATION
 
 const QMetaObject *qpdfview::SearchModel::metaObject() const
 {
-    return QObject::d_ptr->metaObject ? QObject::d_ptr->metaObject : &staticMetaObject;
+    return QObject::d_ptr->metaObject ? QObject::d_ptr->dynamicMetaObject() : &staticMetaObject;
 }
 
@@ -75,5 +87,5 @@
 {
     if (!_clname) return 0;
-    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__SearchModel))
+    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__SearchModel.stringdata))
         return static_cast<void*>(const_cast< SearchModel*>(this));
     return QAbstractItemModel::qt_metacast(_clname);
@@ -89,4 +101,8 @@
             qt_static_metacall(this, _c, _id, _a);
         _id -= 1;
+    } else if (_c == QMetaObject::RegisterMethodArgumentMetaType) {
+        if (_id < 1)
+            *reinterpret_cast<int*>(_a[0]) = -1;
+        _id -= 1;
     }
     return _id;
